export default D3Component;
declare class D3Component extends React.Component<any, any, any> {
    static displayName: string;
    static propTypes: {
        fieldName: PropTypes.Validator<string>;
        type: PropTypes.Validator<object>;
        localAppRegistry: PropTypes.Validator<object>;
        renderMode: PropTypes.Requireable<string>;
        width: PropTypes.Requireable<number>;
        height: PropTypes.Requireable<number>;
        fn: PropTypes.Validator<(...args: any[]) => any>;
        query: PropTypes.Requireable<any>;
    };
    constructor(props: any);
    state: {
        chart: any;
    };
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    _getContainer(): JSX.Element;
    containerRef: any;
    _cleanup(): void;
    _redraw(): void;
    render(): JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=d3-component.d.ts.map