import React from 'react';
import type AppRegistry from 'hadron-app-registry';
import type { SchemaType } from 'mongodb-schema';
import type configureActions from '../actions';
type FieldProps = {
    actions: ReturnType<typeof configureActions>;
    localAppRegistry: AppRegistry;
    name: string;
    path: string[];
    types: SchemaType[];
    enableMaps: boolean;
};
export declare function shouldShowUnboundArrayInsight(schemaType: SchemaType | SchemaType[], thresholdLength?: number): boolean;
declare const _default: (props: Omit<FieldProps, "enableMaps"> & Partial<Pick<FieldProps, "enableMaps">>) => React.ReactElement<{}, string | React.JSXElementConstructor<any>>;
export default _default;
//# sourceMappingURL=field.d.ts.map